Cyberduck Mountain Duck CLI

#9007 closed defect (worksforme)

New Folder with AES256 encryption

Reported by: mschaff Owned by: dkocher
Priority: normal Milestone: 4.9
Component: s3 Version: 4.7.2
Severity: normal Keywords: AES256 New Folder
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

I have an AWS S3 bucket that enforces AES server-side encryption for all data. Cyberduck data transfers work fine with the encryption flag set, but trying to create a New Folder fails with an "Access Denied" error.

Using Amazon's console I could successfully create a new folder, so I compared the http headers to a folder created by Cyberduck in another bucket that doesn't enforce AES encryption. The only obvious difference is that the folder created with Amazon's tool has the "x-amz-server-side-encryption: AES256" header set while the Cyberduck-created folder does not. Can Cyberduck enforce setting this header when creating New Folders while AES256 encryption is enabled?

Attachments (3)

Screen Shot 2015-09-14 at 5.40.06 PM.png (43.3 KB) - added by mschaff on Sep 14, 2015 at 9:45:41 PM.
Settings
Screen Shot 2015-09-14 at 5.45.57 PM.png (99.6 KB) - added by mschaff on Sep 14, 2015 at 9:46:35 PM.
Error message
Screen Shot 2015-09-14 at 5.48.08 PM.png (53.2 KB) - added by mschaff on Sep 14, 2015 at 9:50:05 PM.
Works fine with S3Browser on a PC

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Sep 10, 2015 at 2:22:46 PM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Status changed from new to assigned
  • Version set to 4.7.2

comment:2 Changed on Sep 10, 2015 at 2:29:11 PM by dkocher

Try to set the default to AES256 in Preferences → S3 → Encryption.

comment:3 Changed on Sep 10, 2015 at 2:42:00 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Changed on Sep 14, 2015 at 9:45:41 PM by mschaff

Settings

Changed on Sep 14, 2015 at 9:46:35 PM by mschaff

Error message

Changed on Sep 14, 2015 at 9:50:05 PM by mschaff

Works fine with S3Browser on a PC

comment:4 Changed on Sep 14, 2015 at 9:52:50 PM by mschaff

  • Resolution worksforme deleted
  • Status changed from closed to reopened

This still seems to be an issue. Maybe it's very specific to my account permissions (which I cannot control), but Cyberduck throws an error and fails to create a directory where other tools (e.g. S3Browser) do not. See screenshots.

comment:5 Changed on Oct 14, 2015 at 11:33:06 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Please post the transcript from the log drawer (⌘-L).

comment:6 Changed on Jun 13, 2017 at 8:00:04 AM by dkocher

  • Milestone changed from 4.7.3 to 4.9

Duplicate for #9378.

Note: See TracTickets for help on using tickets.
swiss made software